//
//  AlbumAssetCollectionViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 1/4/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import UIKit
import Photos

class AlbumAssetCollectionViewController: AssetCollectionViewController {

    let collection: PHAssetCollection
    
    init(collection: PHAssetCollection) {
        self.collection = collection
        
        super.init()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func fetchAssets(with options: PHFetchOptions) -> PHFetchResult<PHAsset> {
        return PHAsset.fetchAssets(in: collection, options: options)
    }

}
